Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Class ChildDocument

    java.lang.Object
      com.plumtree.remote.crawler.ChildDocument

public class ChildDocument
extends java.lang.Object

JavaBean representing the ChildDocument data type.

Version:
  1.0

Constructor Summary
`ChildDocument()` Default constructor.
`ChildDocument(java.lang.String location, TypeNamespace typeNamespace, java.lang.String typeID, java.lang.String displayName)` Valued constructor.

Method Summary
`java.lang.String` | `getDisplayName()` Gets the display name of the child document.
`java.lang.String` | `getLocation()` Gets the location of the child document.
`java.lang.String` | `getTypeID()` Gets the `TypeID` of the child document.
`java.lang.String` | `getTypeNameSpace()` Gets the `TypeNameSpace` of the child document (see `typeID`).
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of the child document.
`void` | `setLocation(java.lang.String location)` Sets the location of the child document.
`void` | `setTypeID(java.lang.String typeId)` Sets the `TypeID` of the child document.
`void` | `setTypeNameSpace(java.lang.String typeNameSpace)` Sets the `TypeNameSpace` of the child document (see `typeID`).
`java.lang.String` | `toString()` Returns a human-readable string for debugging.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChildDocument

    public ChildDocument()

  Default constructor.

### ChildDocument

    public ChildDocument(java.lang.String location,
                         TypeNamespace typeNamespace,
                         java.lang.String typeID,
                         java.lang.String displayName)

  Valued constructor. The location is the string used to retrieve the document in `IDocumentProvider.attachToDocument`. For example, this could be a UNC path for a file crawler, or a concatenation of database, table, and primary key for a database crawler, separated by a developer-chosen delimiter. The location string would then be parsed as required in the developer's implementation of the IDocumentProvider.AttachToDocument method. Keep in mind that `IDocumentProvider` does not have access to `CrawlInfo`, so any crawler values required in `IDocumentProvider.attachToDocument` should be added to the location string to be parsed in that method.

Parameters:
  `location` - location of the child document
  `typeID` - `typeID` of the child document. For TypeNamespace. FILE, this is the filename, e.g. Proposal.doc. For TypeNamespace.MIME, this is the mime type, e.g. text/html
  `displayName` - display name of the child document
See Also:
  `IDocumentProvider.attachToDocument(java.lang.String, java.lang.String, java.lang.String, com.plumtree.remote.crawler.DocumentFormat)`

Method Detail

### getLocation

    public java.lang.String getLocation()

  Gets the location of the child document. The location is the string used to retrieve the document in `IDocumentProvider.attachToDocument`. For example, this could be a UNC path for a file crawler, or a concatenation of database, table, and primary key for a database crawler, separated by a developer-chosen delimiter. The location string would then be parsed as required in the developer's implementation of the IDocumentProvider.AttachToDocument method. Keep in mind that `IDocumentProvider` does not have access to `CrawlInfo`, so any crawler values required in `IDocumentProvider.attachToDocument` should be added to the location string to be parsed in that method.

  Returns:
    location of the child document
  See Also:
    `IDocumentProvider.attachToDocument(java.lang.String, java.lang.String, java.lang.String, com.plumtree.remote.crawler.DocumentFormat)`

### setLocation

    public void setLocation(java.lang.String location)

  Sets the location of the child document. The location is the string used to retrieve the document in `IDocumentProvider.attachToDocument`. For example, this could be a UNC path for a file crawler, or a concatenation of database, table, and primary key for a database crawler, separated by a developer-chosen delimiter. The location string would then be parsed as required in the developer's implementation of the IDocumentProvider.AttachToDocument method. Keep in mind that `IDocumentProvider` does not have access to `CrawlInfo`, so any crawler values required in `IDocumentProvider.attachToDocument` should be added to the location string to be parsed in that method.

  Parameters:
    `location` - location of the child document.
  See Also:
    `IDocumentProvider.attachToDocument(java.lang.String, java.lang.String, java.lang.String, com.plumtree.remote.crawler.DocumentFormat)`

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of the child document.

  Returns:
    display name of the child document

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of the child document.

### getTypeNameSpace

    public java.lang.String getTypeNameSpace()

  Gets the `TypeNameSpace` of the child document (see `typeID`).

  Returns:
    `TypeNameSpace` of the child document

### setTypeNameSpace

    public void setTypeNameSpace(java.lang.String typeNameSpace)

  Sets the `TypeNameSpace` of the child document (see `typeID`).

### getTypeID

    public java.lang.String getTypeID()

  Gets the `TypeID` of the child document.

  Returns:
    `TypeID` of the child document

### setTypeID

    public void setTypeID(java.lang.String typeId)

  Sets the `TypeID` of the child document. If the child document `TypeNameSpace` is set to FILE, the `TypeID` should be the same as the display name of the file. If the child document `TypeNameSpace` is set to MIME, the `TypeID` should be set to the MIME type of the child document (e.g., "text/html").

### toString

    public java.lang.String toString()

  Returns a human-readable string for debugging.

  Returns:
    a `String` value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.